Subject: Re: [edu-team] Draft Email Blast for Workshop "Journey from I-D to RFC"

From: "Fred Baker (fred)" <[email-masked]>
Date: Sun, 1 Nov 2015 08:49:30 +0000

Certainly.

> On Nov 1, 2015, at 3:04 PM, Alexa Morris <[email-masked]> wrote:
> 
> Would it be ok to upload these to the meeting materials tool? There is a place for them…
> 
> https://datatracker.ietf.org/meeting/94/materials.html#training
> 
> 
> On Oct 28, 2015, at 10:43 PM, Fred Baker (fred) <[email-masked]> wrote:
> 
>> 
>> On Oct 15, 2015, at 11:32 AM, [email-masked] wrote:
>>> The IETF Mentoring Committee will be sponsoring a workshop "Journey from I-D to RFC" at IETF94 in Yokohama.   ...
>> 
>> I have put together a slide deck. Comments welcome. In any event, I suspect those who are running remote workshops might want them in order to start their prep.
>> 
>> <fred-id-to-rfc.pptx>
> 
> ----------
> Alexa Morris / Executive Director / IETF
> 48377 Fremont Blvd., Suite 117, Fremont, CA  94538
> Phone: +1.510.492.4089 / Fax: +1.510.492.4001
> Email: [email-masked]
> 
> Managed by Association Management Solutions (AMS)
> Forum Management, Meeting and Event Planning
> www.amsl.com <http://www.amsl.com/>
>

---

From: Alice Russo <[email-masked]>
Date: Tue, 3 Nov 2015 09:52:18 +0900

Hi Fred,

Notes on the slides below.

1) on "Internet drafts" 

> • 75% of I-Ds do NOT result in RFCs
> • Only 36% become “standards”

Is the intended meaning that 36% of approved I-Ds are on the Standards Track?
(It reads that 36% of I-Ds become "standards"...)
Why is "standards" in quotes? 

2) on "Internet Drafts in IPv6 Operations (v6ops)"

> RFCs:
> • 4 in RFC Editor’s queue
> • 1 in Independent Submission Editor’s queue
> • 1 in IESG

Suggest changing "RFCs" to "RFCs-to-be" -- or even "Potential RFCs"
because the ISE's queue does not guarantee the I-D will become an RFC.

(However, looking at http://datatracker.ietf.org/wg/v6ops/documents/ I don't see the one that's in the ISE's queue.)

3) on "Example: (pre)IETF process"
> RFC 5681 (Internet Standard) Jacobson et al

That RFC is a Draft Standard, not an Internet Standard.
 
[Yes, that maturity level was retired by RFC 6410, but the RFCs that were DS remain DS: "Any protocol or service that is currently at the abandoned Draft Standard maturity level will retain that classification, absent explicit actions."]

4) other
- suggest adding slide numbers
- suggest changing "Internet draft" & variations to "Internet-Draft" throughout. 
- on "RFCs: Archival Documents" s/Historical/Historic (the actual name of the category)
- add apostrophe: old boys' network, old boys' club

Thanks,
Alice

On Oct 29, 2015, at 2:43 PM, Fred Baker (fred) <[email-masked]> wrote:

> <fred-id-to-rfc.pptx>_______________________________________________
> edu-team mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/edu-team

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 3 Nov 2015 01:22:47 +0000

> On Nov 3, 2015, at 9:52 AM, Alice Russo <[email-masked]> wrote:
> 
> Hi Fred,
> 

I keep a mirror of
     rsync --ipv6   -avz rsync.tools.ietf.org::tools.id ~/all-drafts/id
on my laptop. This includes, as you know, each version of each ID it lists, and purportedly lists all IDs since 1992 (I actually question that assertion, but it's close enough for current purposes).

I also keep a mirror of the current internet draft directory and the RFCs.

There are some potentially interesting and in any event convoluted calcuations one might do. For example, in that directory, counting -00 drafts, 28% of posted -00 drafts are working group drafts:

cd ~/all-drafts/id
ls | egrep -e '-00.txt$' | wc -l
   28465
ls | egrep -e '-00.txt' | egrep -e '^draft-ietf' | wc -l
    8202
echo 820200/28465 | bc
28

In the RFC Editor's mirror, I find rfc-index.txt, which contains a whole lot of records like:

1122 Requirements for Internet Hosts - Communication Layers. R. Braden,
     Ed.. October 1989. (Format: TXT=295992 bytes) (Updates RFC0793)
     (Updated by RFC1349, RFC4379, RFC5884, RFC6093, RFC6298, RFC6633,
     RFC6864) (Also STD0003) (Status: INTERNET STANDARD) (DOI:
     10.17487/RFC1122)

In that directory, I find 7575 RFCs currently posted:
ls | egrep '^rfc[0987654321]*.txt$' | wc -l
    7575
rfc-index.txt reports that 3216 of those RFCs have some form of standards status.
fgrep 'STANDARD)' rfc-index.txt | wc -l
    3216

I have a "paragraph grep" tool I wrote for myself, that pulls out paragraphs containing some text rather than lines, called get-refs. That gives me:

get-refs rfc-index.txt 'standard\)' | egrep '^[0987654321]' | wc -l
    3216
and if I exclude RFCs that have been obsoleted:
get-refs rfc-index.txt -obsoleted 'standard\)' | egrep '^[0987654321]' | wc -l
    2696

So, among the RFC series, we have 2696 that we currently call "standards". Other statuses include unknown, experimental, informational, and historic. I should probably add the BCPs into the standards set.

I forget exactly how I came to the number, but if you divide the number of standards-track RFCs by the number of -00 working group drafts in history, you wind up with 32-39% (this morning).

> because the ISE's queue does not guarantee the I-D will become an RFC.

OK, no problem. My point is that it's in your queue.

> (However, looking at http://datatracker.ietf.org/wg/v6ops/documents/ I don't see the one that's in the ISE's queue.)

Yesterday, it was listed as "AD is watching"; today, it's in the WG "Parked" state. I'm not sure how it would get listed as in  Nevil's queue, but that should probably happen.

> [Yes, that maturity level was retired by RFC 6410, but the RFCs that were DS remain DS: "Any protocol or service that is currently at the abandoned Draft Standard maturity level will retain that cl…

And I would argue that, per said RFC, anything that used to be "Draft Standard" or "Internet Standard" should now be listed as "Standard". So we're both wrong :-)

> - add apostrophe: old boys' network, old boys' club

Spoken like an editor :-)

Thanks

---

From: Alice Russo <[email-masked]>
Date: Tue, 3 Nov 2015 10:33:32 +0900

>> • Only 36% become “standards”

There needs to be an "of" phrase after the percentage. Perhaps you're trying to say is that 36% of RFCs (not of I-Ds) are on the Standards Track?

Thanks,
Alice